/* eslint-env node */
/* global module: false, require: false */
'use strict';

module.exports = {
  name: '@choiceform/ui-foundation',

  isDevelopingAddon() {
    return true;
  },

  included(parent) {
    let {
      cssModules,
      nodeAssets,
      useNormalizeCSS,
      storeConfigInMeta
    } = parent.options;

    this.options.cssModules = cssModules;
    this.options.nodeAssets = nodeAssets;
    this.options.useNormalizeCSS = useNormalizeCSS;
    this.options.useDeviceJS = parent.options.useDeviceJS;
    this.options.storeConfigInMeta = storeConfigInMeta;

    this._super.included.apply(this, arguments);

    if (this.options.useNormalizeCSS) {
      this.import('vendor/normalize.css/normalize.css', {prepend: true});
    }

    if (this.options.useDeviceJS) {
      this.import('vendor/device.js/device.js', {
        prepend: true,
        outputFile: 'assets/device.js',
      });
    }
  },

  contentFor(type) {
    switch (type) {
      case 'head': return this._contentForHead.apply(this, arguments);
      default: return '';
    }
  },

  _contentForHead(type, config) {
    if (this.options.useDeviceJS) {
      return [
        `<script async src="${config.rootURL}assets/device.js"></script>`,
      ].join('\n');
    }
    return '';
  },
};
